# Note: Buildroot's and Meson's terminologies differ about the meaning
# of 'build', 'host' and 'target':
# - Buildroot's 'host' is Meson's 'build'
# - Buildroot's 'target' is Meson's 'host'

[binaries]
c = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/bin/aarch64-buildroot-linux-gnu-gcc'
cpp = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/bin/aarch64-buildroot-linux-gnu-g++'
ar = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/bin/aarch64-buildroot-linux-gnu-ar'
strip = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/bin/aarch64-buildroot-linux-gnu-strip'
cmake = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/bin/cmake'
fortran = '/bin/false'
pkgconfig = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/bin/pkgconf'
g-ir-compiler = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/aarch64-buildroot-linux-gnu/sysroot/usr/bin/g-ir-compiler'
g-ir-scanner = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/aarch64-buildroot-linux-gnu/sysroot/usr/bin/g-ir-scanner'

[built-in options]
c_args = ['-D_LARGEFILE_SOURCE', '-D_LARGEFILE64_SOURCE', '-D_FILE_OFFSET_BITS=64', '-Os', '-g0', '-D_FORTIFY_SOURCE=1'@PKG_TARGET_CFLAGS@]
c_link_args = [@PKG_TARGET_LDFLAGS@]
cpp_args = ['-D_LARGEFILE_SOURCE', '-D_LARGEFILE64_SOURCE', '-D_FILE_OFFSET_BITS=64', '-Os', '-g0', '-D_FORTIFY_SOURCE=1'@PKG_TARGET_CXXFLAGS@]
cpp_link_args = [@PKG_TARGET_LDFLAGS@]
fortran_args = ['-Os', '-g0'@PKG_TARGET_FCFLAGS@]
fortran_link_args = [@PKG_TARGET_LDFLAGS@]
wrap_mode = 'nodownload'
cmake_prefix_path = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/aarch64-buildroot-linux-gnu/sysroot/usr/lib/cmake'

[properties]
needs_exe_wrapper = true
sys_root = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/aarch64-buildroot-linux-gnu/sysroot'
pkg_config_libdir = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/aarch64-buildroot-linux-gnu/sysroot/usr/lib/pkgconfig:/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/aarch64-buildroot-linux-gnu/sysroot/usr/share/pkgconfig'
pkg_config_static = 'false'
# enable meson build to pass a toolchain file to cmake
cmake_toolchain_file = '/home/ych/rk3568/buildroot/output/rockchip_rk3568_recovery/host/share/buildroot/toolchainfile.cmake'
cmake_defaults = false

[host_machine]
system = 'linux'
cpu_family = 'aarch64'
cpu = 'cortex-a55'
endian = 'little'
